package org.dromara.system.service;

import org.dromara.system.domain.bo.VsNavServiceToolbarBo;
import org.dromara.system.domain.vo.VsNavServiceToolbarVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务区工具栏Service接口
 *
 * @author system
 * @date 2025-01-20
 */
public interface IVsNavServiceToolbarService {

    /**
     * 查询服务区工具栏
     */
    VsNavServiceToolbarVo queryById(Long id);

    /**
     * 查询服务区工具栏列表
     */
    TableDataInfo<VsNavServiceToolbarVo> queryPageList(VsNavServiceToolbarBo bo, PageQuery pageQuery);

    /**
     * 查询服务区工具栏列表
     */
    List<VsNavServiceToolbarVo> queryList(VsNavServiceToolbarBo bo);

    /**
     * 新增服务区工具栏
     */
    Boolean insertByBo(VsNavServiceToolbarBo bo);

    /**
     * 修改服务区工具栏
     */
    Boolean updateByBo(VsNavServiceToolbarBo bo);

    /**
     * 校验并批量删除服务区工具栏信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 根据分类ID查询工具栏列表
     */
    List<VsNavServiceToolbarVo> queryByCategoryId(Integer categoryId);

    /**
     * 根据分类ID查询工具栏列表（按排序号排序）
     */
    List<VsNavServiceToolbarVo> queryByCategoryIdOrderBySort(Integer categoryId);

}
